Boomi Platform API Reference (1.0.0) - ProcessScheduleStatus
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
The Process Schedule Status object represents the status of run schedules for a deployed process.
Required Privileges
You need these privileges in the target environment:
Write access
- API — Use the Boomi Platform API to access account data.
- SCHEDULE_MAINTENANCE or ATOM_MANAGEMENT
Read access
- API — Use the Boomi Platform API to access account data.
- SCHEDULE_MAINTENANCE or ATOM_MANAGEMENT_READ_ONLY or ATOM_MANAGEMENT
Retrieves an instance of a ProcessScheduleStatus object
Retrieves the Process Schedule Status object with a specified conceptual ID.
The ordinary GET operation retrieves the Process Schedules object with a specific conceptual ID. The bulk GET operation retrieves the Process Schedules objects with specific conceptual IDs to a maximum of 100. In addition, you can obtain conceptual IDs from the QUERY operation.
Authorizations:
path Parameters
| id required | string The object’s conceptual ID, which is synthesized from the process and Runtime IDs. |
Responses
Response Schema:
| atomId | string A unique ID assigned by the system to the Runtime. |
| enabled | boolean If set to true, the schedules are in effect. Setting it to falsestops the schedules. |
| id | string The object’s conceptual ID, which is synthesized from the process and Runtime IDs. |
| processId | string A unique ID assigned by the system to the process. |
Response samples
- 200
- 403
- 410
- 503
{- "@type": "ProcessScheduleStatus",
- "enabled": true,
- "processId": "789abcde-f012-3456-789a-bcdef0123456",
- "atomId": "3456789a-bcde-f0123-4567-89abcdef012",
- "id": "Ab0Cd1Ef1Gh3Ij4Kl5Mn6Op7Qr8St9Uv0Wx9Yz8Zy7Xw6Vu5Ts4Rq3Po2Nm1Lk0Ji1Hg"
}Modifies or updates a ProcessScheduleStatus object
Stops or resumes process run schedules for a deployed process.
The body of the request must specify not only the conceptual Process Schedule Status object ID but also the Runtime and process IDs. You can obtain the object ID from a QUERY operation.
You must have the Runtime Management privilege and the Scheduling privilege to perform the UPDATE operation. If you have the Runtime Management Read Accessprivilege, you cannot update the status of process run schedules.
Authorizations:
path Parameters
| id required | string |
Request Body schema: optional
| atomId | string A unique ID assigned by the system to the Runtime. |
| enabled | boolean If set to true, the schedules are in effect. Setting it to falsestops the schedules. |
| id | string The object’s conceptual ID, which is synthesized from the process and Runtime IDs. |
| processId | string A unique ID assigned by the system to the process. |
Responses
Response Schema:
| atomId | string A unique ID assigned by the system to the Runtime. |
| enabled | boolean If set to true, the schedules are in effect. Setting it to falsestops the schedules. |
| id | string The object’s conceptual ID, which is synthesized from the process and Runtime IDs. |
| processId | string A unique ID assigned by the system to the process. |
Request samples
- Payload
{- "processId": "789abcde-f012-3456-789a-bcdef0123456",
- "atomId": "3456789a-bcde-f0123-4567-89abcdef012",
- "id": "Ab0Cd1Ef1Gh3Ij4Kl5Mn6Op7Qr8St9Uv0Wx9Yz8Zy7Xw6Vu5Ts4Rq3Po2Nm1Lk0Ji1Hg",
- "enabled": true
}Response samples
- 200
- 403
- 410
- 503
{- "@type": "ProcessScheduleStatus",
- "processId": "789abcde-f012-3456-789a-bcdef0123456",
- "atomId": "3456789a-bcde-f0123-4567-89abcdef012",
- "id": "Ab0Cd1Ef1Gh3Ij4Kl5Mn6Op7Qr8St9Uv0Wx9Yz8Zy7Xw6Vu5Ts4Rq3Po2Nm1Lk0Ji1Hg",
- "enabled": true
}Retrieves multiple ProcessScheduleStatus objects by identifier
To learn more about bulk, refer to the topic Bulk GET operations.
Authorizations:
Request Body schema: optional
Array of objects (BulkId) | |
| type | string Enum: "GET" "DELETE" "UPDATE" "CREATE" |
Responses
Response Schema:
Array of objects | |||||||||||
Array
| |||||||||||
Request samples
- Payload
{- "request": [
- {
- "id": "56789abc-def0-1234-5678-9abcdef01234"
}
], - "type": "GET"
}Response samples
- 200
- 403
- 410
- 503
{- "response": [
- {
- "Result": {
- "atomId": "3456789a-bcde-f0123-4567-89abcdef012",
- "enabled": "true",
- "id": "Ab0Cd1Ef1Gh3Ij4Kl5Mn6Op7Qr8St9Uv0Wx9Yz8Zy7Xw6Vu5Ts4Rq3Po2Nm1Lk0Ji1Hg",
- "processId": "789abcde-f012-3456-789a-bcdef0123456"
}, - "index": 0,
- "id": "string",
- "statusCode": 0,
- "errorMessage": "string"
}
]
}Queries for a ProcessScheduleStatus object(s)
For general information about the structure of QUERY filters, their sample payloads, and how to handle the paged results, refer to Query filters and Query paging.
Authorizations:
Request Body schema: optional
Possible properties include: processId, atomId
required | object | ||||||||||
| |||||||||||
Responses
Response Schema:
| numberOfResults | integer <int32> |
| queryToken | string By default, the queryToken parameter is not available in the query response. It appears only when the query response contains more than 100 results. The maximum number of results returned per query is 100. To retrieve the next set of results, use the queryToken in the queryMore request. |
Array of objects (ProcessScheduleStatus) |
Request samples
- Payload
{- "QueryFilter": {
- "expression": {
- "operator": "and",
- "nestedExpression": [
- {
- "argument": [
- "3456789a-bcde-f0123-4567-89abcdef012"
], - "operator": "EQUALS",
- "property": "atomId"
}, - {
- "argument": [
- "789abcde-f012-3456-789a-bcdef0123456"
], - "operator": "EQUALS",
- "property": "processId"
}
]
}
}
}Response samples
- 200
- 403
- 410
- 503
{- "numberOfResults": 1,
- "@type": "QueryResult",
- "result": [
- {
- "@type": "ProcessScheduleStatus",
- "processId": "789abcde-f012-3456-789a-bcdef0123456",
- "atomId": "3456789a-bcde-f0123-4567-89abcdef012",
- "id": "Ab0Cd1Ef1Gh3Ij4Kl5Mn6Op7Qr8St9Uv0Wx9Yz8Zy7Xw6Vu5Ts4Rq3Po2Nm1Lk0Ji1Hg",
- "enabled": false
}
]
}Retrieves additional results for a ProcessScheduleStatus query
To learn about using queryMore, refer to the topic Query paging.
Authorizations:
Request Body schema: text/plainrequired
Responses
Response Schema:
| numberOfResults | integer <int32> |
| queryToken | string By default, the queryToken parameter is not available in the query response. It appears only when the query response contains more than 100 results. The maximum number of results returned per query is 100. To retrieve the next set of results, use the queryToken in the queryMore request. |
Array of objects (ProcessScheduleStatus) |
Response samples
- 200
- 403
- 410
- 503
{- "numberOfResults": 1,
- "@type": "QueryResult",
- "result": [
- {
- "@type": "ProcessScheduleStatus",
- "processId": "789abcde-f012-3456-789a-bcdef0123456",
- "atomId": "3456789a-bcde-f0123-4567-89abcdef012",
- "id": "Ab0Cd1Ef1Gh3Ij4Kl5Mn6Op7Qr8St9Uv0Wx9Yz8Zy7Xw6Vu5Ts4Rq3Po2Nm1Lk0Ji1Hg",
- "enabled": false
}
]
}